configparser.NoOptionError: No option 'gene_regions' in section: 'mm10' : when use rgt-hint footprinting
0
0
Entering edit mode
12 weeks ago
17318598206 ▴ 10

when i use rgt-hint footprinting: it's error: Traceback (most recent call last): File "/home/data/vip55/miniconda3/lib/python3.8/configparser.py", line 789, in get value = d[option] File "/home/data/vip55/miniconda3/lib/python3.8/collections/__init__.py", line 898, in __getitem__ return self.__missing__(key) # support subclasses that define __missing__ File "/home/data/vip55/miniconda3/lib/python3.8/collections/__init__.py", line 890, in __missing__ raise KeyError(key) KeyError: 'gene_regions'

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/home/data/vip55/.local/bin/rgt-hint", line 8, in <module> sys.exit(main()) File "/home/data/vip55/.local/lib/python3.8/site-packages/rgt/HINT/Main.py", line 95, in main args.func(args) File "/home/data/vip55/.local/lib/python3.8/site-packages/rgt/HINT/Footprinting.py", line 110, in footprinting_run atac_seq(args) File "/home/data/vip55/.local/lib/python3.8/site-packages/rgt/HINT/Footprinting.py", line 134, in atac_seq genome_data = GenomeData(args.organism) File "/home/data/vip55/.local/lib/python3.8/site-packages/rgt/Util.py", line 93, in __init__ self.gene_regions = os.path.join(self.data_dir, self.config.get(organism, 'gene_regions')) File "/home/data/vip55/miniconda3/lib/python3.8/configparser.py", line 792, in get raise NoOptionError(option, section) configparser.NoOptionError: No option 'gene_regions' in section: 'mm10'

so, it'why?i have run python setupGenomicData.py --mm10 thank you!

ATAC-seq footprinting • 204 views
ADD COMMENT

Login before adding your answer.

Traffic: 2430 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6